<pre [hidden]="true">
    {{specByJudge | json}}
</pre> 
 
<div uk-alert="" class="uk-alert-success uikit-modern-micro">
    <div>
        <div class="uk-grid-small" uk-grid uk-height-match=".uk-card">
            <div class="uk-width-2-5">
                <div class="uk-card uk-card-default uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                    <p class="uk-margin-remove uk-text-small">JUDGE</p>
                    <p class="uk-text-smaller uk-margin-remove">LAST: 2021.JUL.07:17.52</p>
                </div>
            </div>

            <div class="uk-width-3-5">
                <div class="uk-child-width-1-3 uk-grid-small" uk-grid>
                    <div>
                        <div class="uk-card uk-card-default square">
                            <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                                <p class="uk-margin-remove uk-text-small">{{globalPoints.toFixed(2)}}</p>
                                <p class="uk-margin-remove uk-text-smaller">TOTAL</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="uk-card uk-card-default square">
                            <div *ngIf="params.judging" class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                <p class="uk-margin-remove-bottom">{{params.generalTotal.toFixed(2)}}</p>
                                <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">SCORE</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <a (click)="sendGeneralQuals()" uk-tooltip="title: SEND ALL; pos: top">
                            <div class="uk-card uk-card-default uk-card-hover square">
                                <div *ngIf="params.judging" class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                    <span uk-icon="icon: cloud-upload"></span>
                                    <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">SEND SCORE</p>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- List of paraeters -->

    <div class="uk-card uk-card-default uk-padding-small uk-margin-small">
        <div class="">
            <table data-contenedor="ID CONTENEDOR" data-typejudge="TYPE JUDGE" id="jueces_main" class="uk-table uk-table-middle uk-table-small uk-table-hover uk-table-divider">
                <thead>
                    <tr class="uk-background-secondary uk-light">
                        <th [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">CLAIM</th>
                        <th class="uk-table-shrink uk-text-smaller">PARAMETER</th>
                        <th class="uk-text-smaller">COMMENT</th>
                        <th class="uk-table-shrink uk-text-smaller">VALUE</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">SCORE</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">SEND</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">ALERT</th>
                    </tr>
                </thead>

                <tbody *ngFor="let param of params.judging;let paramindex = index">
                    <ng-container *ngIf="param.gp_id !== params.judging[paramindex - 1]?.gp_id">
                        
                        <tr>
                            <td class="uk-text-bold" colspan="9">
                                {{param.gp_title? param.gp_title: 'NO GRAND PARAMETER'}}
                            </td>
                        </tr>
                    </ng-container>
                    <tr>
                        <td [hidden]="true" class="uk-text-smaller uk-text-center">
                            <a href="#" uk-icon="icon: warning; ratio: 0.75;"></a>
                        </td>
                        <td class="uk-text-smaller uk-text-nowrap">{{param.name}}</td>
                        <td class="uk-text-smaller uk-text-nowrap">
                            <textarea appValidateSpetialCharacters [(ngModel)]="param.comment" class="uk-textarea uk-width-1-1 uk-input-square uk-margin-small-top uk-margin-small-bottom" rows="3" placeholder="COMMENT" type="textarea" style="width: 100%"></textarea>
                        </td>
                        <td class="uk-text-small uk-text-center">{{param.total}}</td>
                        <td *ngIf="param.qualtotal" class="uk-text-small uk-text-center uk-text-center">{{param.qualtotal.toFixed(2)}}</td>
                        <td *ngIf="!param.qualtotal" class="uk-text-small uk-text-center uk-text-center"><i uk-icon="info" uk-tooltip="MISSING CRITERIAS"></i></td>
                        <td class="uk-text-smaller uk-text-center">
                            <a [attr.disabled]="!aviableSend" (click)="sendGeneralQuals()" uk-icon="icon: play-circle; ratio: 0.75;" uk-tooltip="title: SEND; pos: top"></a>
                        </td>
                        <td class="uk-text-smaller uk-text-center">
                            <div>
                                <app-status-visualizer [showGeneralStatus]="true" [mode]="false" [statusData]="param.flag"></app-status-visualizer>
                            </div>
                        </td>
                    </tr>
                    <tr class="uk-width-1-1">
                        <td class="uk-text-smaller" colspan="8">
                            <div class="uk-child-width-1-2@l uk-child-width-1-3@xl uk-grid-small uk-grid-divider" uk-grid>
                                <div *ngFor="let criteria of param.criteria;let criteriaindex = index">
                                    <div class="uk-grid-collapse" uk-grid>
                                        <div class="uk-width-auto uk-margin-auto-vertical">
                                            <p class="uk-text-smaller uk-text-bold uk-text-nowrap">{{criteria.title}}</p>
                                        </div>
                                        <div class="uk-width-expand uk-margin-auto-vertical">
                                            <input (change)="calculateTotal(paramindex)" [(ngModel)]="criteria.qualpoints" (keyup)="viewRightValue($event,criteria.points,paramindex,criteriaindex);calculateTotal(paramindex)" [attr.placeholder]="'Max '+criteria.points" min="0" [attr.max]="criteria.points"
                                                class="uk-input uk-form-small uk-input-square uk-margin-small-left" type="number" name="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="uk-width-1-1">
                        <td class="uk-background-muted" colspan="8">
                            <hr class="uk-hr-divider">
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>